# Generated by go2rpm
%bcond_without check

# https://github.com/golang/mobile
%global goipath         golang.org/x/mobile
%global forgeurl        https://github.com/golang/mobile
%global commit          8578da9835fd365e78a6e63048c103b27a53a82c

%gometa

%global common_description %{expand:
The Go mobile repository holds packages and build tools for using Go on mobile
platforms.}

%global golicenses      LICENSE PATENTS
%global godocs          doc example AUTHORS CONTRIBUTING.md CONTRIBUTORS README.md

Name:           %{goname}
Version:        0
Release:        %mkrel 3
Summary:        Go support for Mobile devices
Group:          Development/Other

# Upstream license specification: BSD-3-Clause
License:        BSD
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(golang.org/x/image/draw)
BuildRequires:  golang(golang.org/x/image/math/f64)
BuildRequires:  golang(golang.org/x/mod/modfile)
BuildRequires:  golang(golang.org/x/tools/go/packages)

%if %{with check}
# Tests
BuildRequires:  golang(golang.org/x/tools/go/packages/packagestest)
BuildRequires:  pkgconfig(glesv2)
BuildRequires:  pkgconfig(openal)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%ifarch aarch64 armv7hl ppc64le s390x
%gocheck -d cmd/gobind -d cmd/gomobile
%else
%gocheck -d cmd/gobind
%endif
%endif

%files
%license %{golicenses}
%doc %{godocs}
%{_bindir}/*

%gopkgfiles



%changelog
* Tue Aug 23 2022 guillomovitch <guillomovitch> 0-3.mga9
+ Revision: 1879694
- new git snapshot
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Mon Nov 15 2021 guillomovitch <guillomovitch> 0-1.mga9
+ Revision: 1756667
- new git snapshot

* Fri Sep 11 2020 pterjan <pterjan> 0-0.1.mga8
+ Revision: 1624629
- imported package golang-x-mobile


* Fri Aug 07 19:46:00 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.6.20200807git973feb4
- Bump to commit 973feb4309de5c3aad0553fc987d76abf1fa58f7

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Feb 07 01:28:53 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.4.20200207git0df4eb2
- Update to 0df4eb2385467a487d418c6358313e9e838256ae

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Apr 25 01:09:12 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.1.20190623git3e0bab5
- Initial package
